<div class="container">
  <form class="example-form" [formGroup]="dataLogin" (ngSubmit)="login()">
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Tài khoản</mat-label>
      <input matInput placeholder="Tài khoản" formControlName="username" />
      <mat-error *ngIf="dataLogin">Lỗi!</mat-error>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập mật khẩu</mat-label>
      <input
      matInput
      [type]="hide ? 'password' : 'text'"
      formControlName="password"
      />
      
      <button
      mat-icon-button
      matSuffix
      (click)="hide = !hide"
      [attr.aria-label]="'Hide password'"
      [attr.aria-pressed]="hide"
      >
      <mat-icon>{{ hide ? "visibility_off" : "visibility" }}</mat-icon>
    </button>
    <mat-error *ngIf="dataLogin">Lỗi!</mat-error>
  </mat-form-field>

    <button mat-button type="submit" [disabled]="!dataLogin.valid">Đăng nhập</button>
  </form>
  <button mat-button (click)="clear()">Cancel</button>
</div>

<!-- <pre>{{ questionForm.value | json }}</pre> -->
